Bug 1508478 - Review Request: linsim - Tool for Amateur Radio Digital Mode evaluation
Summary: Review Request: linsim - Tool for Amateur Radio Digital Mode evaluation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-01 14:05 UTC by Richard Shaw
Modified: 2017-11-26 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-18 03:44:25 UTC
mattia.verga: fedora-review+


Attachments (Terms of Use)

Description Richard Shaw 2017-11-01 14:05:58 UTC
Spec URL: http://hobbes1069.fedorapeople.org//linsim.spec
SRPM URL: http://hobbes1069.fedorapeople.org//linsim-2.0.3-1.fc26.src.rpm

Description:
Linsim is designed to read and then add path simulation to any monophonic wav
file recorded at any sampling rate. It works particularly well with files that
were created using fldigi’s audio capture and audio generate functions. The
entire wav file will be saved to computer memory and then duplicated during the
signal processing. The user should try to keep the length of the wav file at 20
Mg or less, but the author has tested some 200 Mg files on both Linux and
Windows-8 without causing a program fault. These files were original VOAR
broadcasts of about 30 minutes duration. The objective of this type of
simulation is to finally measure the character error rate (CER) and bit error
rate (BER) of a specific modem type and decoder design. For most modems a
sequence of 1000 characters provides a sufficient level of confidence in the
CER measurment.

Comment 1 Richard Shaw 2017-11-01 14:06:02 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=22843567

Comment 2 Mattia Verga 2017-11-04 11:26:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- linsim-2.0.3/build-aux/install-sh is licensed as MIT

SHOULD items
- Patches link to upstream bugs/comments/lists or are otherwise
  justified.
- Same as above for self added sources 


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "*No copyright* GPL", "MIT/X11 (BSD like)", "*No
     copyright* GPL (v2 or later)". 56 files have unknown license. Detailed
     output of licensecheck in
     /home/rpmbuild/1508478-linsim/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: linsim-2.0.3-1.fc28.x86_64.rpm
          linsim-debuginfo-2.0.3-1.fc28.x86_64.rpm
          linsim-debugsource-2.0.3-1.fc28.x86_64.rpm
          linsim-2.0.3-1.fc28.src.rpm
linsim.x86_64: W: spelling-error %description -l en_US wav -> av, wave, wavy
linsim.x86_64: W: spelling-error %description -l en_US fldigi -> digital
linsim.x86_64: W: spelling-error %description -l en_US measurment -> measurement, endearment, easement
linsim.x86_64: W: only-non-binary-in-usr-lib
linsim.x86_64: W: no-manual-page-for-binary linsim
linsim-debugsource.x86_64: W: no-documentation
linsim.src: W: spelling-error %description -l en_US wav -> av, wave, wavy
linsim.src: W: spelling-error %description -l en_US fldigi -> digital
linsim.src: W: spelling-error %description -l en_US measurment -> measurement, endearment, easement
4 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: linsim-debuginfo-2.0.3-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
linsim.x86_64: W: spelling-error %description -l en_US wav -> av, wave, wavy
linsim.x86_64: W: spelling-error %description -l en_US fldigi -> digital
linsim.x86_64: W: spelling-error %description -l en_US measurment -> measurement, endearment, easement
linsim.x86_64: W: invalid-url URL: http://www.w1hkj.com <urlopen error [Errno -2] Name or service not known>
linsim.x86_64: W: only-non-binary-in-usr-lib
linsim.x86_64: W: no-manual-page-for-binary linsim
linsim-debuginfo.x86_64: W: invalid-url URL: http://www.w1hkj.com <urlopen error [Errno -2] Name or service not known>
linsim-debugsource.x86_64: W: invalid-url URL: http://www.w1hkj.com <urlopen error [Errno -2] Name or service not known>
linsim-debugsource.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 9 warnings.



Requires
--------
linsim (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfltk.so.1.3()(64bit)
    libfltk_images.so.1.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libsamplerate.so.0()(64bit)
    libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

linsim-debuginfo (rpmlib, GLIBC filtered):

linsim-debugsource (rpmlib, GLIBC filtered):



Provides
--------
linsim:
    application()
    application(linsim.desktop)
    linsim
    linsim(x86-64)
    metainfo()
    metainfo(linsim.appdata.xml)

linsim-debuginfo:
    debuginfo(build-id)
    linsim-debuginfo
    linsim-debuginfo(x86-64)

linsim-debugsource:
    linsim-debugsource
    linsim-debugsource(x86-64)



Source checksums
----------------
http://www.w1hkj.com/files/test_suite/linsim-2.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 853019337acb7e33342552b980690e094e1dffc262f3084ef85b85277f43f7e9
  CHECKSUM(SHA256) upstream package : 853019337acb7e33342552b980690e094e1dffc262f3084ef85b85277f43f7e9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1508478
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Mattia Verga 2017-11-04 16:42:45 UTC
MIT can be blend in GPLv3+, so I can ACCEPT the package.

Comment 4 Richard Shaw 2017-11-04 20:57:26 UTC
Repo and branches requested. Thanks for the review!

Comment 5 Gwyn Ciesla 2017-11-06 13:46:49 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/linsim

Comment 6 Fedora Update System 2017-11-09 19:55:34 UTC
flcluster-1.0.3-1.fc27, flnet-7.3.2-1.fc27, flwkey-1.2.3-2.fc27, linsim-2.0.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f38cce05e

Comment 7 Fedora Update System 2017-11-11 16:55:45 UTC
flcluster-1.0.3-1.el7, flnet-7.3.2-1.el7, flwkey-1.2.3-2.el7, linsim-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5ff6d0e947

Comment 8 Fedora Update System 2017-11-11 17:29:46 UTC
flcluster-1.0.3-1.fc26, flnet-7.3.2-1.fc26, flwkey-1.2.3-2.fc26, linsim-2.0.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3bdb834df

Comment 9 Fedora Update System 2017-11-18 03:44:25 UTC
flcluster-1.0.3-1.fc27, flnet-7.3.2-1.fc27, flwkey-1.2.3-2.fc27, linsim-2.0.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-11-22 02:27:16 UTC
flcluster-1.0.3-1.fc26, flnet-7.3.2-1.fc26, flwkey-1.2.3-2.fc26, linsim-2.0.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-26 21:52:52 UTC
flcluster-1.0.3-1.el7, flnet-7.3.2-1.el7, flwkey-1.2.3-2.el7, linsim-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.